{"openapi":"3.0.0","info":{"description":"Airbus Aggregation API specification","version":"1.0.0","title":"AB Aggregation API"},"tags":[{"name":"Professional Identities","description":"Operations on Professional Identities"},{"name":"Entity Professional Identities (epi)","description":"Operations on EPIs"}],"paths":{"/professional-identities":{"post":{"tags":["Professional Identities"],"summary":"Create a new professional identity","operationId":"createProfessionalIdentity","description":"Create a new professional identity\n","security":[{"userManagementUserAccessToken":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProfIdDto"}}},"description":"Professional identity to add"},"responses":{"201":{"description":"professional identity created"},"400":{"description":"bad input parameter"},"409":{"description":"external login not unique"}}}},"/epis":{"post":{"tags":["Entity Professional Identities (epi)"],"summary":"Create a new entity professional identity (epi)","operationId":"createEPI","description":"Create a new entity professional identity (epi)\n","security":[{"epiManagementUserAccessToken":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EpiDTO"}}},"description":"Entity Professional identity to add"},"responses":{"200":{"description":"epi created"},"400":{"description":"bad input parameter"},"401":{"description":"invalid access token provided"},"403":{"description":"user not authorized to perform operation"}}}}},"components":{"securitySchemes":{"userManagementUserAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Access Token for a subject that is entitled to create professional identities in the context the specified EPI."},"epiManagementUserAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"User Access Token for a subject that is entitled to manage EPIs."}},"schemas":{"CreateProfIdDto":{"type":"object","required":["startDate","status","externalLogin","universalLogonDetails","physicalIdentity","epi"],"properties":{"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"epi":{"type":"string","format":"uuid"},"status":{"enum":["active","inactive"]},"airbusEmail":{"type":"string","format":"email","pattern":"^.*@airbus.com$"},"entityEmail":{"type":"string","format":"email"},"phoneNumber":{"type":"string"},"relatedDepartment":{"type":"string"},"externalLogin":{"type":"string"},"universalLoginDetails":{"$ref":"#/components/schemas/UniversalLogonDetails"},"physicalIdentityDetails":{"$ref":"#/components/schemas/PhysicalIdentity"}}},"UniversalLogonDetails":{"type":"object","required":["firstnameStart","lastnameStart","domain"],"properties":{"firstnameStart":{"type":"string","pattern":"^([a-z]){1}$","description":"First character of the firstname (lowercase, a-z)"},"lastnameStart":{"type":"string","pattern":"^([a-z]){3}$","description":"First 3 characters of the lastname (lowercase, a-z)"},"domain":{"type":"string","enum":["customer.airbus.com"],"default":"customer.airbus.com"}}},"EpiDTO":{"type":"object","required":["CRMCKIID","isDocumentationSigned","status","eci"],"properties":{"eci":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}}},"trustLevel":{"type":"string","enum":["low","high"]},"CRMCKIID":{"type":"string"},"isDocumentationSigned":{"type":"boolean","default":false},"status":{"type":"string","enum":["active","inactive"]}}},"PhysicalIdentity":{"type":"object","required":["name"],"properties":{"name":{"type":"object","required":["firstName","lastName","preferredLocale"],"properties":{"firstName":{"type":"string"},"lastName":{"type":"string"}}},"phoneNumber":{"type":"string"},"nationality":{"type":"string","minLength":2,"maxLength":2},"preferredLocale":{"type":"string","minLength":2,"maxLength":2,"default":"EN"},"birthDetails":{"type":"object","properties":{"name":{"type":"string"},"date":{"type":"string","format":"date"},"city":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2}}}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/JANDEKOCK_1/AB-aggregation-api/1.0.0"}]}